WinCrypt.CERT_PUBLIC_KEY_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CERT_PUBLIC_KEY_INFO

Package com.sun.jna.platform.win32

# Class WinCrypt.CERT_PUBLIC_KEY_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CERT_PUBLIC_KEY_INFO

Direct Known Subclasses:
  `WinCrypt.CERT_PUBLIC_KEY_INFO.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"Algorithm","PublicKey"}) public static class WinCrypt.CERT_PUBLIC_KEY_INFO extends Structure
The CERT_PUBLIC_KEY_INFO structure contains a public key and its algorithm.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CERT_PUBLIC_KEY_INFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinCrypt.CRYPT_ALGORITHM_IDENTIFIER`
  `Algorithm`
  `WinCrypt.CRYPT_BIT_BLOB`
  `PublicKey`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CERT_PUBLIC_KEY_INFO()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Algorithm

    public WinCrypt.CRYPT_ALGORITHM_IDENTIFIER Algorithm

  - ### PublicKey

    public WinCrypt.CRYPT_BIT_BLOB PublicKey

- ## Constructor Details

  - ### CERT_PUBLIC_KEY_INFO

    public CERT_PUBLIC_KEY_INFO()